<?php
    error_reporting(0);
    include 'includes/header.php';
?>
<style>
#usernameTutor
{
  cursor: not-allowed;
}
.jconfirm .jconfirm-box
{
  width: 400px !important;
}
</style>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">

<body class="bg-penzilsWhite">
<?php
    include 'includes/nav-student.php';
?>

  <section class="grid lg:grid-cols-12 gap-12 p-0 lg:p-12">
    <!-- Main -->
    <div
      class="bg-penzilsWhite border border-penzilsCardOutline rounded-xl shadow-cardShadow p-4 lg:col-start-5 lg:col-span-4 mt-20 lg:mt-0"
    >
      <h2 class="text-2xl font-light text-center">Login</h2>
    

      <div class="grid grid-cols-1 md:grid-cols-6 gap-0 mt-4">
        <div class="col-span-1 md:col-span-12">
          <label
            class="block font-light italic text-gray-500"
            for="firstNameTutor"
            >Email Address</label
          >
          <input
            type="email"
            name="email"
            id="email"
            class="form-input"
          />
        </div>
        <div class="col-span-1 md:col-span-12">
          <label
            class="block font-light italic text-gray-500"
            for="lastNameTutor"
            >Password</label
          >
           <input
            type="password"
            name="password"
            id="password"
            class="form-input"
          />
        </div>
        <div class="col-span-1 md:col-span-12">
           <button
          class="mt-4 md:col-start-0 bg-penzilsPrimary text-penzilsWhite px-12 py-2 rounded"  id="login" style="text-align: center;width:100%;">
          Login
        </button>
        </div>

        
        
       
      </div>
    </div>
  </section>

  <?php 

  include('includes/footer.php');

  ?>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>


  <script type="text/javascript">


    (function($){

        $("#login").click(function(){

          var email = $("#email").val();
          var password = $("#password").val();

          $.post('ludus_framework/api.php',{action:'login', email:email, password:password}, function(result){

            console.log(result);

            var res = JSON.parse(result);

            var resu = res.result;

            if (resu == 'wrong') {

              $.dialog({
                  title: 'Error',
                  content: 'Wrong Username Or Password',
                  theme:'modern',
                  type:'red'
              });

            }else{

              $.confirm({
                  title: 'Login Successful',
                  content: 'You have succesfully logged in',
                  theme:'modern',
                  type:'purple',
                   buttons: {
                    somethingElse: {
                        text: 'Move To Dashboard',
                        btnClass: 'btn-blue',
                        action: function(){
                          location.href = "settings-student.php";
                        }
                    }
                }
              });              

            }


          });

        });

    })(jQuery);


    
  </script>

</body>
</html>

