<?php error_reporting(0); include "./includes/config.php"; ?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="styles/styles.css" />
    <title>Document</title>

  </head>
  <body class="bg-penzilsWhite overflow-hidden">
    <header
      class="
        flex
        fixed
        p-4
        lg:p-8
        w-full
        bg-white
        items-center
        border-b border-gray-100
        font-light
        justify-between
        top-0
      "
    >
      <h1 class="penzils-header"><img src="assets/logo.svg" class="w-12 mr-4" />Penzils</h1>
    </header>

    <section class="flex justify-center items-center h-screen lg:hidden">
      <h1 class="text-2xl p-2 text-center">
        Please complete the onboarding process on a laptop or tablet in horizontal mode.
      </h1>
    </section>

    <!-- <section
      class="flex justify-center items-center h-screen slide slide--active"
    >
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">What kind of help do you offer?<h1>
        <button class="btn helpType bg-white mt-12 w-full">Tutoring</button>
        <button class="btn helpType btn--active mt-1 w-full">Editing</button>
      </div>
    </section> -->

    <section class="flex justify-center items-center h-screen slide slide--active">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">What is your current level of education?</h1>
        <div class="mt-5 selectdiv">
          <p class="italic text-gray-500">What grade are you in?</p>
          <select name="grade" id="grade" class="mt-2 w-full card shadow-glow bg-white">
            <option value="ninth" class="w-full">9th Grade</option>
            <option value="tenth" class="w-full">10th Grade</option>
            <option value="eleventh" class="w-full">11th Grade</option>
            <option value="twelfth" class="w-full">12th Grade</option>
            <option value="freshman" class="w-full">College Freshman</option>
            <option value="sophomore" class="w-full">College Sophmore</option>
            <option value="junior" class="w-full">College Junior</option>
            <option value="senior" class="w-full">College Senior</option>
            <option value="grad" class="w-full">Graduate School</option>
          </select>
        </div>
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">What do you want to help others with</h1>
        <input type="text" class="mt-2 w-full card shadow-glow bg-white" id="classes" />
        <div class="grid lg:grid-cols-3 gap-3 mt-3 subject--autocomplete--list">
          <a href="#" data-search-title="Algebra" class="btn bg-white subject--name">Algebra</a>
          <a href="#" data-search-title="Piano"class="btn bg-white subject--name">Piano</a>
          <a href="#" data-search-title="Tennis" class="btn bg-white subject--name">Tennis</a>
          <a href="#" data-search-title="Art" class="btn bg-white subject--name">Art</a>
          <a href="#" data-search-title="SAT/ACT" class="btn bg-white subject--name">SAT/ACT</a>
        </div>
        <div class="mt-10 subject--list">
        <div class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block subject--border hidden" id="default">
            <div class="flex items-center" >
              <p class="text-penzilsPrimary subject--title">Default</p>
              <button class="delete-subject">
                <img src="assets/close--blue.svg" alt="" class="ml-2" />
              </button>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-xl flex flex-col"  id="school_row">
        <h1 class="text-4xl font-bold">What schools have you attended?</h1>
        <p style="font-style: italic;">High schools and colleges only</p>
        <input
          type="text"
          class="mt-2 w-full card shadow-glow bg-white"
          id="schools"
          placeholder="Search"
        />
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-xl flex flex-col" id="transcript_section">
        <h1 class="text-4xl font-bold">Please upload your transcript</h1>

        <div id="transcript_section_upload">
       
        </div>




        <a href="javascript:void(0)" class="text-penzilsPrimary underline mt-3 skip_transcript">Skip</a>
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-2xl flex flex-col">
        
        <!-- <h1 class="text-4xl font-bold">Do you have any test scores you would like to report?</h1> -->
        
        <h1 class="text-4xl font-bold">Pricing Of Service Being Offered</h1>

        <textarea rows="3" cols="5" placeholder="Please tell us more about the service you are providing?" style="margin-top:10px;padding:10px;"></textarea>


        <div id="pricing_offer">
           
       </div>



        <!-- <div id="transcript_row">
                 
        </div>



        <div class="mt-10 card bg-penzilsPrimary flex rounded w-3/12 justify-center cursor-pointer" id="addTest">
          <img src="assets/plus.svg" alt="" />
          <p class="ml-3 font-bold text-white">Add Test</p>
        </div>
         -->

      </div>



    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-3xl flex flex-col">
        <h1 class="text-4xl font-bold">When are you available for your session?</h1>
        <p class="text-gray-500">(Check all that apply)</p>
        <div class="mt-10 card w-full grid grid-cols-9 gap-3">
          <p class="col-start-3 text-center font-bold">Sun</p>
          <p class="text-center font-bold">Mon</p>
          <p class="text-center font-bold">Tue</p>
          <p class="text-center font-bold">Wed</p>
          <p class="text-center font-bold">Thu</p>
          <p class="text-center font-bold">Fri</p>
          <p class="text-center font-bold">Sat</p>
          <!-- Row 2 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Morning</p>
            <p class="text-gray-500 text-sm">Before Noon</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunMorning"></button>
          <button class="cursor-pointer square" id="monMorning"></button>
          <button class="cursor-pointer square" id="tueMorning"></button>
          <button class="cursor-pointer square" id="wedMorning"></button>
          <button class="cursor-pointer square" id="thuMorning"></button>
          <button class="cursor-pointer square" id="friMorning"></button>
          <button class="cursor-pointer square" id="satMorning"></button>
          <!-- Row 3 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Afternoon</p>
            <p class="text-gray-500 text-sm">12-5pm</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunAfternoon"></button>
          <button class="cursor-pointer square" id="monAfternoon"></button>
          <button class="cursor-pointer square" id="tueAfternoon"></button>
          <button class="cursor-pointer square" id="wedAfternoon"></button>
          <button class="cursor-pointer square" id="thuAfternoon"></button>
          <button class="cursor-pointer square" id="friAfternoon"></button>
          <button class="cursor-pointer square" id="satAfternoon"></button>
          <!-- Row 4 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Evening</p>
            <p class="text-gray-500 text-sm">After 5pm</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunEvening"></button>
          <button class="cursor-pointer square" id="monEvening"></button>
          <button class="cursor-pointer square" id="tueEvening"></button>
          <button class="cursor-pointer square" id="wedEvening"></button>
          <button class="cursor-pointer square" id="thuEvening"></button>
          <button class="cursor-pointer square" id="friEvening"></button>
          <button class="cursor-pointer square" id="satEvening"></button>
          <div class="flex col-span-3 ml-10 mt-2">
            <button class="w-6 h-6 border-penzilsPrimary border-2 rounded select_all_time"></button>
            <p class="ml-3">Anytime - I'm Flexible</p>
          </div>
        </div>
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">Tell us a little about yourself</h1>
        <p class="italic text-gray-500 mt-5" style="font-size: 18px;">Bio</p>
        <p class="italic text-gray-500 mt-3" style="margin-bottom:5px;margin-top: -2px;">Introduce yourself to your community and tell us about your interest and qualification, and the service you are providing</p>
        <textarea name="bio" maxlength="1000" id="bio" rows="8" class="w-full bg-white card resize-none"></textarea>
        <p id="bio_chracter_left" style="text-align: right;font-style: italic;"><span id="bio_c">1000</span> Chracter Left</p>
        <p class="italic text-gray-500 mt-5">Relevant Experience</p>
        <textarea
          name="experience"
          id="experience"
          rows="3"
          maxlength="600"
          class="w-full bg-white card resize-none"
        ></textarea>
        <p id="exp_chracter_left" style="text-align: right;font-style: italic;"><span id="exp_c">600</span> Chracter Left</p>
        
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold items-center">
          Thank You!
        </h1>
        <p class="items-center">You will receive an email to start earning on Penzils very soon</p>
        <div class="mt-10 card bg-penzilsPrimary flex rounded w-8/12 justify-center cursor-pointer" id="backToHomagep">
          <p class="ml-6 font-bold text-white" style="text-align:center;">Return To Landing Page</p>
        </div>
      </div>
    </section>

    <div
      class="absolute flex flex-col items-center lg:bottom-1/2 lg:left-24 cursor-pointer slideLeftButton hidden"
    >
      <div
        class="rounded-full bg-penzilsPrimary h-12 w-12 text-white flex justify-center items-center"
      >
        &#5176;
      </div>
      <p id="fixedButtonTitleTwo">Classes</p>
    </div>

    <div
      class="
        absolute
        flex flex-col
        items-center
        lg:bottom-1/2
        lg:right-24
        cursor-pointer
        slideRightButton
      "
    >
      <div
        class="rounded-full bg-penzilsPrimary h-12 w-12 text-white flex justify-center items-center"
      >
        &#5171;
      </div>
      <p id="fixedButtonTitle">Subject</p>
    </div>

    <!-- Progress bar -->
    <div class="hidden lg:flex lg:absolute bottom-10 justify-center w-full">
      <div class="mx-3">
        <img
          id="tutorSubject"
          src="assets/onboarding/subject.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10"
        />
        <p class="text-center">Subject</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorClasses"
          src="assets/onboarding/classes.svg"
          alt=""
          class="
            mx-auto
            rounded-full
            p-2
            bg-white
            border border-penzilsCardOutline
            w-10
            transition-all
          "
        />
        <p class="text-center">Classes</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorSchools"
          src="assets/onboarding/schools.svg"
          alt=""
          class="
            mx-auto
            rounded-full
            p-2
            bg-white
            border border-penzilsCardOutline
            w-10
            transition-all
          "
        />
        <p class="text-center">Schools</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorTranscript"
          src="assets/onboarding/transcript.svg"
          alt=""
          class="
            mx-auto
            rounded-full
            p-2
            bg-white
            border border-penzilsCardOutline
            w-10
            transition-all
          "
        />
        <p class="text-center">Transcripts</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorScores"
          src="assets/onboarding/scores.svg"
          alt=""
          class="
            mx-auto
            rounded-full
            p-2
            bg-white
            border border-penzilsCardOutline
            w-10
            transition-all
          "
        />
        <p class="text-center">Test Scores</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorAvailability"
          src="assets/onboarding/availability.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10"
        />
        <p class="text-center">Availability</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorBio"
          src="assets/onboarding/bio.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10"
        />
        <p class="text-center">Bio</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="tutorPayment"
          src="assets/onboarding/payment.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10"
        />
        <p class="text-center">Finish</p>
      </div>
    </div>
  </body>
  <script src="scripts/jquery.js"></script>
  <script src="scripts/core.js"></script>
  <script src="scripts/jquery-ui.min.js"></script>
  <script src="scripts/tutor-progress.js"></script>
  


 <script>
    const grade = $('#grade').val();
    const classes = $('#classes').val();
    var school_array = [];

    $('.past-school').each(function(){
        var gpa = $(this).closest('school_parent').find('.past-gpa').val();
        var school_name = $(this).val();
        var ar = '|gpa='+  gpa + '|school_name=' + school_name;
        school_array.push(ar);
    });

    const trans = $('#addTranscript').val();
    var test_scores = [];

    // $('.past-test').each(function(){
    //     var test_name = $(this).val();
    //     var test_score = $(this).closest('.test_parent').find('.test_score').val();
    //     var ar = '|test_name=' + test_name + '|test_score=' + test_score;
    //     test_score.push(ar);
    // });
    // const sunMorning  = $('#sunMorning');   
    // const monMorning = $('#monMorning');   
    // const tueMorning = $('#tueMorning');   
    // const wedMorning = $('#wedMorning');   
    // const thuMorning = $('#thuMorning');   
    // const friMorning = $('#friMorning');   
    // const satMorning = $('#satMorning');   
    // $.post('/controller/tutor.php', {action : 'onboard', 
    // sun : sunMorning,
    // mon : monMorning,
    // tue : tueMorning,
    // wed : wedMorning,
    // thu : thuMorning,
    // fri : friMorning,
    // sat : satMorning,
    // grade: grade,
    // class: classes,
    // trans: trans
    // })
    // .done(function(data){
    //     console.log(data);
    // })
    

</script>
<script>
$('#classes').on('keyup', function(){
  var term = $(this).val();
  if($(this).val() >= 3){
    $.post('/controller/auto_complete.controller.php', { action : 'classes', term : term })
      .done(function(data){
          $('.subject--autocomplete--list').html(data);
      })
  }
});
</script>


<script type="text/javascript">
  $(".slideRightButton").click(function(){

    var text = $("#fixedButtonTitle").html();
    var schools = [];
    var subjects = [];
    var test_names = [];
    var test_scores = [];

    if (text == 'Finish') {

        var grade = $("#grade").val();
        var gpa = [];

        $(".subject--title").each(function(){

          var sub = $(this).text();

          if (sub != 'Default') {

              subjects.push(sub);
          
          }
        });


        var subjs = JSON.stringify(subjects);

        $(".past-school > p").each(function(){

          schools.push($(this).text());

        });


        var pastSchools = JSON.stringify(schools);


        $(".school_gpa").each(function(){

            gpa.push($(this).val());

        });


        var gpaJson = JSON.stringify(gpa);

        $(".test_names").each(function(){

            test_names.push($(this).val());

        });


        var testjsons = JSON.stringify(test_names);


        $(".test_scores").each(function(){

          test_scores.push($(this).val());

        });

        var testScoreJson = JSON.stringify(test_scores);


        var sunMorning = false;
        var monMorning = false;
        var tueMorning = false;
        var wedMorning = false;
        var thuMorning = false;
        var friMorning = false;
        var satMorning = false;
        var sunMorning = false;

        var monAfternoon = false;
        var tueAfternoon = false;
        var wedAfternoon = false;
        var thuAfternoon = false;
        var friAfternoon = false;
        var satAfternoon = false;
        var sunAfternoon = false;

        var monEvening = false;
        var tueEvening = false;
        var wedEvening = false;
        var thuEvening = false;
        var friEvening = false;
        var satEvening = false;
        var sunEvening = false;

        if ($("#sunMorning").hasClass('square--active')) {

            sunMorning = true;
        }
        if ($("#sunAfternoon").hasClass('square--active')) {

            sunAfternoon = true;
        }
        if ($("#sunEvening").hasClass('square--active')) {

            sunEvening = true;
        }


        if ($("#monMorning").hasClass('square--active')) {

            monMorning = true;
        }
        if ($("#monAfternoon").hasClass('square--active')) {

            monAfternoon = true;
        }
        if ($("#monEvening").hasClass('square--active')) {

            monEvening = true;
        }


        if ($("#tueMorning").hasClass('square--active')) {

            tueMorning = true;
        }
        if ($("#tueAfternoon").hasClass('square--active')) {

            tueAfternoon = true;
        }
        if ($("#tueEvening").hasClass('square--active')) {

            tueEvening = true;
        }

        if ($("#wedMorning").hasClass('square--active')) {

            wedMorning = true;
        }
        if ($("#wedAfternoon").hasClass('square--active')) {

            wedAfternoon = true;
        }
        if ($("#wedEvening").hasClass('square--active')) {

            wedEvening = true;
        }

        if ($("#thuMorning").hasClass('square--active')) {

            thuMorning = true;
        }
        if ($("#thuAfternoon").hasClass('square--active')) {

            thuAfternoon = true;
        }
        if ($("#thuEvening").hasClass('square--active')) {

            thuEvening = true;
        }

        if ($("#friMorning").hasClass('square--active')) {

            friMorning = true;
        }
        if ($("#friAfternoon").hasClass('square--active')) {

            friAfternoon = true;
        }
        if ($("#friEvening").hasClass('square--active')) {

            friEvening = true;
        }

        if ($("#satMorning").hasClass('square--active')) {

            satMorning = true;
        }
        if ($("#satAfternoon").hasClass('square--active')) {

            satAfternoon = true;
        }
        if ($("#satEvening").hasClass('square--active')) {

            satEvening = true;
        }

        var fd = new FormData();    
        fd.append('grade', grade);
        fd.append('subjects', subjs);
        fd.append('past_schools', pastSchools);
        fd.append('gpa', gpaJson);
        fd.append('test', testjsons);
        fd.append('test_scores', testScoreJson);
        fd.append('sun_morning', sunMorning);
        fd.append('sun_evening', sunEvening);
        fd.append('sun_afternoon', sunAfternoon);
        fd.append('mon_morning', monMorning);
        fd.append('mon_evening', monEvening);
        fd.append('mon_afternoon', monAfternoon);
        fd.append('tue_morning', tueMorning);
        fd.append('tue_evening', tueEvening);
        fd.append('tue_afternoon', tueAfternoon);
        fd.append('wed_morning', wedMorning);
        fd.append('wed_evening', wedEvening);
        fd.append('wed_afternoon', wedAfternoon);
        fd.append('thu_morning', thuMorning);
        fd.append('thu_evening', thuEvening);
        fd.append('thu_afternoon', thuAfternoon);
        fd.append('fri_morning', friMorning);
        fd.append('fri_evening', friEvening);
        fd.append('fri_afternoon', friAfternoon);
        fd.append('sat_morning', satMorning);
        fd.append('sat_evening', satEvening);
        fd.append('sat_afternoon', satAfternoon);
        fd.append('sun_morning', sunMorning);
        fd.append('sun_evening', sunEvening);
        fd.append('sun_afternoon', sunAfternoon);
        fd.append('bio', $("#bio").val());
        fd.append('experience', $("#experience").val());
        fd.append('card_name', $("#cardName").val());
        fd.append('card_num', $("#cardNum").val());
        fd.append('card_exp', $("#cardExp").val());
        fd.append('card_zip', $("#cardZip").val());




        $(".school_transcripts").each(function(){
            var get_docs = $(this)[0].files[0];
            fd.append('school_transcripts[]', get_docs);
        });




        $(".test_documents").each(function(){
          var get_transcript = $(this)[0].files[0];
          fd.append('test_transcripts', get_transcript);
        });





        $.ajax({
          url: './controller/api.php',
          data: fd,
         processData: false,
          contentType: false,
          type: 'POST',
          success: function ( data ) {
              
          }
        });




    }

  });
</script>

<script type="text/javascript">
  $("#classes").keyup(function(e){ 
    var code = e.key; // recommended to use e.key, it's normalized across devices and languages
    if(code==="Enter") e.preventDefault();
    if(code==="Enter"){
        

        var classes = $(this).val();

        var st = '<div class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block subject--border" id="default" data-title="'+classes+'"><div class="flex items-center"><p class="text-penzilsPrimary subject--title">'+classes+'</p><button class="delete-subject"><img src="assets/close--blue.svg" alt="" class="ml-2"></button></div></div>';

        $(".subject--list").append(st);

        $(this).val('');

    }
    $.post('./controller/auto_complete.controller.php', { action : 'classes', term : $(this).val() })
    .done(function(data){
        $('.subject--autocomplete--list').html(data);
    });
});

var availableTags = [
      <?php 
        $stmt = $db->prepare("SELECT * FROM school_details");
        $stmt->execute(array());
        $data = $stmt->fetchall(PDO::FETCH_OBJ);
      foreach($data as $d) { ?>
        "<?= $d->title; ?>",
      <?php } ?>
    ];

$( "#schools" ).autocomplete({
      source: availableTags
    });

$("#schools").keyup(function(e){

  var schoolName = $(this).val();


    var code = e.key; // recommended to use e.key, it's normalized across devices and languages
    if(code==="Enter") e.preventDefault();
    if(code==="Enter"){


        var st = '<div class="grid grid-cols-6 gap-x-3 mt-3"><p class="italic text-gray-500">School</p><div class=" mt-2 w-full card shadow-glow bg-white col-span-6 flex justify-between past-school"><p>'+schoolName+'</p><img src="assets/close--blue.svg" class="remove_school" alt="" /></div></div>';

        $("#school_row").append(st);

    }

});

$("body").on('click', '.remove_school', function(){

  $(this).parent().parent().remove();

});


var count_test = 0;


$("#addTest").click(function(){

  if (count_test == 0) {

    var trans = ' <div class="grid grid-cols-6 gap-x-3 gap-y-2 mt-3"><p class="italic text-gray-500 mt-3">Test</p><p class="col-start-3 italic text-gray-500 mt-3">Test Score</p><input type="text" class="col-start-1 w-full card shadow-glow col-span-2 bg-white test_names" placeholder="Test Name"/><input type="text" class="w-full card shadow-glow bg-white test_scores" placeholder="3.2" /><button onClick="fileOpener(\''+count_test+'\')" class="w-full card shadow-glow bg-penzilsPrimary col-span-2 flex justify-center"><img src="assets/plus.svg" alt="" /><p class="ml-3 font-bold text-white">Upload Doc</p></button><a href="javascript:void(0)" class="flex items-center justify-end"><img src="assets/close--blue.svg" alt="" class="w-8" /></a></div><input type="file" class="test_documents" name="test_docs[]" id="test_docs_'+count_test+'" style="display:none;">';

  }else{

    var trans = ' <div class="grid grid-cols-6 gap-x-3 gap-y-2 mt-3"><input id="test_name" type="text" class="col-start-1 w-full card shadow-glow col-span-2 bg-white" placeholder="Test Name"/><input type="text" id="test_score" class="w-full card shadow-glow bg-white" placeholder="3.2" /><button  onClick="fileOpener(\''+count_test+'\')" class="w-full card shadow-glow bg-penzilsPrimary col-span-2 flex justify-center"><img src="assets/plus.svg" alt="" /><p class="ml-3 font-bold text-white">Upload Doc</p></button><a href="#" class="flex items-center justify-end"><img src="assets/close--blue.svg" alt="" class="w-8" /></a></div><input type="file" class="test_documents" name="test_docs[]" id="test_docs_'+count_test+'" style="display:none;">';
  }

  

  $("#transcript_row").append(trans);

  count_test++;

});

</script>
<script type="text/javascript">
  function fileOpener(id)
  {
    $("#test_docs_"+id).click();
  }
</script>
<script type="text/javascript">


  function fileOpenerSchool(id)
  {

    $("#addTranscript"+id).click();
  }


</script>

<script type="text/javascript">
  $(".select_all_time").click(function(){

    

    var checkClass = $(this).hasClass('square--active');

    if (checkClass == true) {

        $(".square").each(function(){

            $(this).removeClass('square--active');

        });

    }else{

      $(".square").each(function(){

            $(this).addClass('square--active');

        });        

    }

    $(this).toggleClass('square--active');

  });
</script>

<script type="text/javascript">
  $("#bio").on('keyup', function(){

    var count = $(this).val().length;

    var left = 1000 - parseInt(count);

    $("#bio_c").html(left);

  });
</script>

<script type="text/javascript">
  $("#experience").on('keyup', function(){


    var count = $(this).val().length;

    var left = 600 - parseInt(count);

    $("#exp_c").html(left);

  });
</script>

</html>
